> For the complete documentation index, see [llms.txt](https://docs.linuxgsm.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.linuxgsm.com/guides/make-webserver-case-insensitive.md).

# Make Webserver Case Insensitive

Make apache2 webserver case insensitive with apache2 mod\_speling

Some games require FastDL to be case insensitive, apache2 is case sensitive by default. Enabling apache2 mod\_speling ignores case sensitivity on a LAMP stack. This guide applies to debian and ubuntu. At the bottom of this page are external guides that include CentOS/Fedora. **This workaround will not work on shared webhosting** **where editing apache2 files is not available.**

Enable mod\_speling:

```
a2enmod speling
```

Restart apache:

```
service apache2 restart
```

Apache needs to be told which directories mod\_speling is applied to, open the webserver's .conf file located inside /etc/apache2/sites-available/ and set AllowOverride to All.

�Example:

```
<Directory /var/www/html/>
	Options Indexes FollowSymLinks
	AllowOverride All
	Require all granted
</Directory>
```

Set apache2 to use the .conf file you just edited:

```
a2ensite name_of_.conf_file
```

�In /var/www/html/ or your webserver directory, create a .htaccess file with this:

```
<IfModule mod_speling.c>
CheckSpelling On
CheckCaseOnly On
</IfModule>
```

�Test the configuration by creating a file, like test.txt, and see if it can be opened in browser by typing TEST.txt, test.TXT, etc. If it works, you are finished.

[mod\_speling Documentation](https://httpd.apache.org/docs/2.4/mod/mod_speling.html)

Guides from other sources:

[Wikitechy mod\_speling Guide](https://www.wikitechy.com/tutorials/apache/how-to-use-the-mod-speling-apache-module)

[a2Hosting mod\_speling Guide](https://www.a2hosting.com/kb/developer-corner/apache-web-server/using-the-mod-speling-apache-module)

�


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.linuxgsm.com/guides/make-webserver-case-insensitive.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
